GET /api/v3/place/udf

Retrieves all user defined fields / custom fields for all places

GetPlacesUdfsV3 Permissions: BuildingsAndOrganizations (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
city City String equals not equals one of like not like not one of
hasWatticsLink Linked to a Wattics site Boolean equals
linkedToPM Linked To PM Boolean equals
parentId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeAreaSize Area Size Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeCode Place Code String equals not equals one of like not like not one of
placeEntityTypeID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeEntityTypeInfo Place Entity Type Name String equals not equals one of like not like not one of
placeGroupCode Place Group Code String equals
placeGroupId Integer equals
placeGroupInfo Place Group Name String equals
placeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeInfo Place Name String equals not equals one of like not like not one of
placeTypeCode Place Type Code String equals not equals one of like not like not one of
placeTypeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeTypeInfo Place Type Name String equals not equals one of like not like not one of
postalCode Postal Code String equals not equals one of like not like not one of
primaryUseCode Primary Use Code String equals not equals one of like not like not one of
primaryUseId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
primaryUseInfo Primary Use Name String equals not equals one of like not like not one of
state State/Province String equals not equals one of like not like not one of
structure Structure Boolean equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceInfo Topmost Place Name String equals

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceUDFResponse
Property Description Type
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
udfs An array of user-defined fields (UDFs) UDFFieldChild[]
UDFFieldChild properties
Property Description Type
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
description Required (defined) string
displayOrder Required (defined) integer (int32)
important Required (defined) boolean
name Required (defined) string
udfId Required (defined) integer (int32)
udfSelectValues Required (defined) UDFSelectValueEntityResponse[]
UDFSelectValueEntityResponse properties
Property Description Type
displayOrder Required (defined) integer (int32)
udfSelectValueId Required (defined) integer (int32)
value Required (defined) string
value Required (defined) string
Example Response application/json
[
  {    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "udfs": [
      {      "dataType": {},      "description": "string",      "displayOrder": 1,      "important": false,      "name": "string",      "udfId": 1,      "udfSelectValues": [],      "value": "string"
    }
    ]
  }
]